{
  "codeName" : "Main",
  "controlStyle" : "runtime_widget_out",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSFORMS/Main.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom"
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
  "logicName" : "主编辑表单",
  "mOSFilePath" : "psmodules/common/psdataentities/PHONE/psdeform_editforms/Main",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "LOAD;SAVE;REMOVE",
    "logicTag" : "form",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_form",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PHONENAME",
      "codeName" : "PhoneName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "phonename",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PHONENAME",
      "codeName" : "PhoneName"
    }
  }, {
    "id" : "phonetype",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PHONETYPE",
      "codeName" : "Phonetype"
    }
  }, {
    "id" : "field",
    "dataType" : 21,
    "getPSAppDEField" : {
      "name" : "FIELD",
      "codeName" : "Field"
    }
  }, {
    "id" : "field2",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "FIELD2",
      "codeName" : "Field2"
    }
  }, {
    "id" : "money",
    "dataType" : 6,
    "getPSAppDEField" : {
      "name" : "MONEY",
      "codeName" : "Money"
    }
  }, {
    "id" : "phoneid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "mOSFilePath" : "psdeformdetail_formpages/formpage1",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "手机基本信息",
      "codeName" : "group1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "mOSFilePath" : "psdeformdetail_grouppanels/group1",
      "name" : "group1",
      "getPSDEFormDetails" : [ {
        "caption" : "手机",
        "codeName" : "phonename",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/phonename",
        "name" : "phonename",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "PHONENAME",
          "codeName" : "PhoneName"
        },
        "getPSEditor" : {
          "editorStyle" : "editorTest",
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "phonename",
          "getPSSysPFPlugin" : {
            "pluginType" : "EDITOR_CUSTOMSTYLE",
            "pluginCode" : "editorTest"
          }
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSSysPFPlugin" : {
          "pluginType" : "EDITOR_CUSTOMSTYLE",
          "pluginCode" : "editorTest"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/phonename",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "手机型号",
        "codeName" : "phonetype",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/phonetype",
        "name" : "phonetype",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "PHONETYPE",
          "codeName" : "Phonetype"
        },
        "getPSDEFDGroupLogics" : [ {
          "groupOP" : "AND",
          "logicCat" : "ITEMENABLE",
          "logicType" : "GROUP",
          "name" : "表单成员[phonetype][表单项启用]逻辑",
          "getPSDEFDLogics" : [ {
            "condOP" : "EQ",
            "dEFDName" : "phonename",
            "logicType" : "SINGLE",
            "name" : "phonename 等于(=) (10)",
            "value" : "10"
          } ],
          "relatedDetailNames" : [ "phonename" ],
          "notMode" : false
        } ],
        "getPSEditor" : {
          "editorStyle" : "textStyle1",
          "editorType" : "TEXTBOX",
          "maxLength" : 100,
          "name" : "phonetype",
          "getPSSysPFPlugin" : {
            "pluginType" : "EDITOR_CUSTOMSTYLE",
            "pluginCode" : "editorPlugin"
          }
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/phonetype",
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "caption" : "图片上传",
        "codeName" : "field",
        "dataType" : 21,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/field",
        "name" : "field",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD",
          "codeName" : "Field"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "field",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/field",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "时间测试",
        "codeName" : "field2",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/field2",
        "name" : "field2",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FIELD2",
          "codeName" : "Field2"
        },
        "getPSDEFDGroupLogics" : [ {
          "groupOP" : "AND",
          "logicCat" : "PANELVISIBLE",
          "logicType" : "GROUP",
          "name" : "表单成员[field2][面板显示]逻辑",
          "getPSDEFDLogics" : [ {
            "condOP" : "EQ",
            "dEFDName" : "phonename",
            "logicType" : "SINGLE",
            "value" : "aaa"
          } ],
          "relatedDetailNames" : [ "phonename" ],
          "notMode" : false
        }, {
          "groupOP" : "AND",
          "logicCat" : "SCRIPTCODE_CHANGE",
          "logicType" : "GROUP",
          "name" : "表单成员[field2][表单项值变更（脚本处理）]逻辑",
          "getPSDEFDLogics" : [ {
            "logicType" : "SINGLE",
            "value" : "({value}) => {\r\n\r\n}"
          } ],
          "notMode" : false
        } ],
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "field2",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/field2",
        "valueFormat" : "YYYY-MM-DD",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "金额",
        "codeName" : "money",
        "dataType" : 6,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "mOSFilePath" : "psdeformdetail_formitems/money",
        "name" : "money",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "MONEY",
          "codeName" : "Money"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "money",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "psdeformdetail_formitems/money",
        "unitName" : "元",
        "allowEmpty" : true,
        "enableUnitName" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_grouppanels/group1",
      "infoGroupMode" : true,
      "showCaption" : true
    }, {
      "codeName" : "mdctrl1",
      "getContentPSControl" : {
        "codeName" : "LinkTest",
        "controlType" : "FORM",
        "getCreatePSControlAction" : {
          "modelref" : true,
          "id" : "create"
        },
        "defaultLabelWidth" : 130,
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSFORMS/LinkTest.json",
        "getGetDraftFromPSControlAction" : {
          "modelref" : true,
          "id" : "loaddraftfrom"
        },
        "getGetDraftPSControlAction" : {
          "modelref" : true,
          "id" : "loaddraft"
        },
        "getGetPSControlAction" : {
          "modelref" : true,
          "id" : "load"
        },
        "logicName" : "LinkTest",
        "mOSFilePath" : "psmodules/common/psdataentities/PHONE/psdeform_editforms/LinkTest",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionName" : "GETDRAFTFROM",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraftfrom",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          } ],
          "enableDEFieldPrivilege" : false,
          "id" : "编辑表单处理器"
        },
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true
        },
        "getPSDEFormItems" : [ {
          "id" : "srfupdatedate",
          "hidden" : true,
          "dataType" : 5,
          "getPSAppDEField" : {
            "name" : "UPDATEDATE",
            "codeName" : "UpdateDate"
          }
        }, {
          "id" : "srforikey",
          "hidden" : true,
          "dataType" : 25
        }, {
          "id" : "srfkey",
          "hidden" : true,
          "dataType" : 25,
          "getPSAppDEField" : {
            "name" : "PHONEID",
            "codeName" : "PhoneId"
          }
        }, {
          "id" : "srfmajortext",
          "hidden" : true,
          "dataType" : 25,
          "getPSAppDEField" : {
            "name" : "PHONENAME",
            "codeName" : "PhoneName"
          }
        }, {
          "id" : "srftempmode",
          "hidden" : true,
          "dataType" : 25
        }, {
          "id" : "srfuf",
          "hidden" : true,
          "dataType" : 25
        }, {
          "id" : "srfdeid",
          "hidden" : true,
          "dataType" : 25
        }, {
          "id" : "srfsourcekey",
          "hidden" : true,
          "dataType" : 25
        }, {
          "id" : "createdate",
          "dataType" : 5,
          "getPSAppDEField" : {
            "name" : "CREATEDATE",
            "codeName" : "CreateDate"
          }
        }, {
          "id" : "createman",
          "dataType" : 25,
          "getPSAppDEField" : {
            "name" : "CREATEMAN",
            "codeName" : "CreateMan"
          }
        }, {
          "id" : "money",
          "dataType" : 6,
          "getPSAppDEField" : {
            "name" : "MONEY",
            "codeName" : "Money"
          }
        }, {
          "id" : "phoneid",
          "dataType" : 25,
          "getPSAppDEField" : {
            "name" : "PHONEID",
            "codeName" : "PhoneId"
          }
        }, {
          "id" : "orgid",
          "dataType" : 25,
          "getPSAppDEField" : {
            "name" : "ORGID",
            "codeName" : "OrgId"
          }
        }, {
          "id" : "end",
          "dataType" : 5,
          "getPSAppDEField" : {
            "name" : "END",
            "codeName" : "End"
          }
        } ],
        "getPSDEFormPages" : [ {
          "codeName" : "formpage1",
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMPAGE",
          "mOSFilePath" : "psdeformdetail_formpages/formpage1",
          "name" : "formpage1",
          "getPSDEFormDetails" : [ {
            "actionGroupExtractMode" : "ITEM",
            "codeName" : "grouppanel1",
            "detailStyle" : "DEFAULT",
            "detailType" : "GROUPPANEL",
            "mOSFilePath" : "psdeformdetail_grouppanels/grouppanel1",
            "name" : "grouppanel1",
            "getPSDEFormDetails" : [ {
              "caption" : "建立时间",
              "codeName" : "createdate",
              "dataType" : 5,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 3,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "mOSFilePath" : "psdeformdetail_formitems/createdate",
              "name" : "createdate",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "CREATEDATE",
                "codeName" : "CreateDate"
              },
              "getPSEditor" : {
                "editorType" : "SPAN",
                "name" : "createdate",
                "enableLinkView" : false
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "rTMOSFilePath" : "psdeformdetail_formitems/createdate",
              "valueFormat" : "YYYY-MM-DD HH:mm:ss",
              "allowEmpty" : true,
              "showCaption" : true
            }, {
              "caption" : "建立人",
              "codeName" : "createman",
              "dataType" : 25,
              "detailStyle" : "DEFAULT",
              "detailType" : "FORMITEM",
              "enableCond" : 3,
              "ignoreInput" : 3,
              "labelPos" : "LEFT",
              "labelWidth" : 130,
              "mOSFilePath" : "psdeformdetail_formitems/createman",
              "name" : "createman",
              "noPrivDisplayMode" : 1,
              "getPSAppDEField" : {
                "name" : "CREATEMAN",
                "codeName" : "CreateMan"
              },
              "getPSEditor" : {
                "editorType" : "SPAN",
                "name" : "createman",
                "getPSAppCodeList" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
                },
                "enableLinkView" : false
              },
              "getPSLayoutPos" : {
                "colMD" : 24,
                "layout" : "TABLE_24COL"
              },
              "rTMOSFilePath" : "psdeformdetail_formitems/createman",
              "allowEmpty" : true,
              "convertToCodeItemText" : true,
              "showCaption" : true
            } ],
            "getPSLayout" : {
              "childColLG" : -1,
              "childColMD" : 24,
              "childColSM" : -1,
              "childColXS" : -1,
              "columnCount" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_grouppanels/grouppanel1",
            "infoGroupMode" : false,
            "showCaption" : true
          }, {
            "caption" : "金额",
            "codeName" : "money",
            "dataType" : 6,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/money",
            "name" : "money",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "MONEY",
              "codeName" : "Money"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "name" : "money"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/money",
            "unitName" : "元",
            "allowEmpty" : true,
            "enableUnitName" : true,
            "showCaption" : true
          }, {
            "caption" : "手机标识",
            "codeName" : "phoneid",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/phoneid",
            "name" : "phoneid",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "PHONEID",
              "codeName" : "PhoneId"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "phoneid",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/phoneid",
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "caption" : "组织机构标识",
            "codeName" : "orgid",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/orgid",
            "name" : "orgid",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "ORGID",
              "codeName" : "OrgId"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 60,
              "name" : "orgid"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/orgid",
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "caption" : "结束时间",
            "codeName" : "end",
            "dataType" : 5,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "itemWidth" : 290.0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "mOSFilePath" : "psdeformdetail_formitems/end",
            "name" : "end",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "END",
              "codeName" : "End"
            },
            "getPSEditor" : {
              "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
              "editorParams" : {
                "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
              },
              "editorType" : "DATEPICKER",
              "editorWidth" : 160.0,
              "name" : "end"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "rTMOSFilePath" : "psdeformdetail_formitems/end",
            "valueFormat" : "YYYY-MM-DD HH:mm:ss",
            "allowEmpty" : false,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
          "infoGroupMode" : false
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "rTMOSFilePath" : "pssysapps/Web/psappdeviews/phoneEditView/psappviewctrls/mdctrl1_form",
        "getRemovePSControlAction" : {
          "modelref" : true,
          "id" : "remove"
        },
        "tabHeaderPos" : "TOP",
        "getUpdatePSControlAction" : {
          "modelref" : true,
          "id" : "update"
        },
        "noTabHeader" : true,
        "name" : "mdctrl1_form",
        "modelid" : "B63A290D-3808-45ED-824D-7A0A7E194DE2",
        "modeltype" : "PSDEFORM_EDITFORM"
      },
      "contentType" : "FORM",
      "detailStyle" : "DEFAULT",
      "detailType" : "MDCTRL",
      "mOSFilePath" : "psdeformdetail_mdctrls/mdctrl1",
      "name" : "mdctrl1",
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "rTMOSFilePath" : "psdeformdetail_mdctrls/mdctrl1",
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "rTMOSFilePath" : "psdeformdetail_formpages/formpage1",
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getPSSysPFPlugin" : {
    "pluginType" : "CUSTOM",
    "pluginCode" : "runtime_widget_out"
  },
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/phoneEditView/psappviewctrls/form",
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "noTabHeader" : true,
  "modelid" : "a3ece2843bcddbc92a85087bdad4ecef",
  "modeltype" : "PSDEFORM_EDITFORM"
}